Subject: X11/unix graphics

From: [email-masked] (Lawrence Hugh Snyder)
Date: Mon, 17 Jun 1996 10:21:46 -0700

(S-PLUS Version 3.2 Release 1 for Sun SPARC, SunOS 5.x : 1993)
(Running under openwindows/X11, using primarily motif() and postscript())

Dear Gurus/Afficionados
	Three trivial questions, the sort that don't matter much but keep
	me up at night wondering:

	1)  Is there a way to set par() defaults in a device-independent manner?
	    I'd like to be able to set par(las=1).  If I put that into .First,
	    I get a 'Device not active' complaint.  I can write my own versions
	    of each graphics device that I'm liable to use (e.g.,
		motif() <- function() { par(las=1) ; motif() }
		postscript() <- function() { par(las=1) ; postscript() }
	    But that seems like a heavy-handed approach.  What I'd like
	    is something analogous to ps.options() for par() parameters.

	2)  I call
		ps.options(extra.setup="0 setlinecap")
	    to make the postscript generated by printgraph() agree with
	    what the motif() window shows.  Seems odd to have the default
	    postscript and motif behaviors be different ('0 setlinecap' for
	    motif(), '1 setlinecap' for postscript).  Am I missing something
	    here?

	3) I'd like to always attach a local directory called .Save whenever
	   I start up Splus, if that directory exists.
	   In a global first file (called via the S_FIRST environment variable)
	   I have:	
		if (unix("ls -d .Save > /dev/null", output=F) == 0)
		   attach(".Save", pos=2)
	   That's almost perfect, but if .Save doesn't exist, I still get
	   a ".Save: No such file or directory" message from unix.  Any way
	   to suppress that message?

Thanks!

Please respond directly to me (to keep list traffic to a minimum.)
If I get more than 2 requests for a copy of the responses,
I'll summarize to the list.

[email-masked]